PUPPET-INSTRUMENTATION_LISTENER(8)

NAME
puppet-instrumentation_listener - Manage instrumentation listeners.

SYNOPSIS
puppet instrumentation_listener action [--terminus TERMINUS] [--extra HASH]

DESCRIPTION
This subcommand enables/disables or list instrumentation listeners.

OPTIONS
Note that any configuration parameter that's valid in the configuration file is also a valid long argument, although it may or may not be relevant to the present action. For example, server is a valid configuration parameter, so you can specify --server <servername> as an argument.

See the configuration file documentation at http://docs.puppetlabs.com/references/stable/configuration.html for the full list of acceptable parameters. A commented list of all configuration options can also be generated by running puppet with --genconfig.

--mode MODE
    The run mode to use for the current action. Valid modes are user, agent, and master.

--render-as FORMAT
    The format in which to render output. The most common formats are json, s (string), yaml, and console, but other options such as dot are sometimes available.

--verbose
    Whether to log verbosely.

--debug
    Whether to log debug information.

--extra HASH
    A terminus can take additional arguments to refine the operation, which are passed as an arbitrary hash to the back-end. Anything passed as the extra value is just send direct to the back-end.

--terminus TERMINUS
    Indirector faces expose indirected subsystems of Puppet. These subsystems are each able to retrieve and alter a specific type of data (with the familiar actions of find, search, save, and destroy) from an arbitrary number of pluggable backends. In Puppet parlance, these backends are called terminuses.

    Almost all indirected subsystems have a rest terminus that interacts with the puppet master's data. Most of them have additional terminuses for various local data models, which are in turn used by the indirected subsystem on the puppet master whenever it receives a remote request.

    The terminus for an action is often determined by context, but occasionally needs to be set explicitly. See the "Notes" section of this face's manpage for more details.

ACTIONS

destroy - Invalid for this subcommand.
    SYNOPSIS

    puppet instrumentation_listener destroy [--terminus TERMINUS] [--extra HASH] key

    DESCRIPTION

    Invalid for this subcommand.

disable - Disable a given instrumentation listener.
    SYNOPSIS

    puppet instrumentation_listener disable [--terminus TERMINUS] [--extra HASH] listener

    DESCRIPTION

    Disable a given instrumentation listener. After being disabled the listener will stop receiving instrumentation notifications from the probes.

    RETURNS

    Nothing.

enable - Enable a given instrumentation listener.
    SYNOPSIS

    puppet instrumentation_listener enable [--terminus TERMINUS] [--extra HASH] listener

    DESCRIPTION

    Enable a given instrumentation listener. After being enabled the listener will start receiving instrumentation notifications from the probes if those are enabled.

    RETURNS

    Nothing.

find - Retrieve a single listener.
    SYNOPSIS

    puppet instrumentation_listener find [--terminus TERMINUS] [--extra HASH] key

    DESCRIPTION

    Retrieve a single listener.

    RETURNS

    The status of an instrumentation listener

info - Print the default terminus class for this face.
    SYNOPSIS

    puppet instrumentation_listener info [--terminus TERMINUS] [--extra HASH]

    DESCRIPTION

    Prints the default terminus class for this subcommand. Note that different run modes may have different default termini; when in doubt, specify the run mode with the '--mode' option.

save - API only: modify an instrumentation listener status.
    SYNOPSIS

    puppet instrumentation_listener save [--terminus TERMINUS] [--extra HASH] listener

    DESCRIPTION

    API only: create or overwrite an object. As the Faces framework does not currently accept data from STDIN, save actions cannot currently be invoked from the command line.

search - Retrieve all instrumentation listeners statuses.
    SYNOPSIS

    puppet instrumentation_listener search [--terminus TERMINUS] [--extra HASH] dummy_text

    DESCRIPTION

    Retrieve all instrumentation listeners statuses.

    RETURNS

    The statuses of all instrumentation listeners

    NOTES

    Although this action always returns all instrumentation listeners, it requires a dummy search key; this is a known bug.

EXAMPLES
disable

Disable the "performance" listener in the running master:

$ puppet instrumentation_listener disable performance --terminus rest

enable

Enable the "performance" listener in the running master:

$ puppet instrumentation_listener enable performance --terminus rest

find

Retrieve a given listener:

$ puppet instrumentation_listener find performance --terminus rest

search

Retrieve the state of the listeners running in the remote puppet master:

$ puppet instrumentation_listener search x --terminus rest

NOTES
This subcommand is an indirector face, which exposes find, search, save, and destroy actions for an indirected subsystem of Puppet. Valid termini for this face include:

•   local

•   rest

COPYRIGHT AND LICENSE
Copyright 2011 by Puppet Labs Apache 2 license; see COPYING